' === TankBotBattery.bas ===== 2009.09.09 ===== Ron Hackett ===

'  This program runs on the SERVO TankBot. It uses a simple
'	voltage-divider circuit (two 4.7k resistors) to measure
'	the voltage level of the TankBot's 9-volt battery and
'	display the data in real-time on the TankBot's LCD.

	
' === Constants ===

	symbol abit = 100		' used for pauses between packets
	symbol batt =   0		' Battery on AnalogIn0
	symbol LED  =   2		' LED on output2
	
'  HD44780 Commands
	symbol L1 = 128		 move cursor to position 1 of line 1
	symbol L2 = 192		 move cursor to position 1 of line 2

	
' === Variables ===

	symbol  volts = w0	' data from ADC voltage measurement
			
	symbol   temp = b2	' b0 and b1 already used for volts
	symbol tenths = b3
	symbol  units = b4

	
' === Directives ===

	'#com3					' specify serial port
	#picaxe 14M				' specify processor


' === Begin Main Program ======================================

dirsc = %00000110					' set the I/O pin directions

wait 1								' allow for LCD initialization

do
  	high LED							' for debugging
  	pause 250
 
  	readadc10 batt,volts			' get raw ADC voltage reading
  	
  	volts  = volts * 39 / 40	' see text for explanation
  	volts  = volts +  5			' of all this arithmetic!			
  	volts  = volts / 10
  	units  = volts / 10
	tenths = volts // 10
	
  	sertxd (L1,"Battery ")		' send line 1 to LCD	
  	pause abit						' required between packets
  	sertxd (L2,#units,".",#tenths,"volts") ' send line 2 to LCD
  	
  	low LED
  	pause 250
 loop									' loop forever