
;=== TankBotToLCD.bas ========= 2009.09.09 ========= Ron Hackett ===

;	This program runs on the BrainAlpha's 14M processor & sends 9-byte
; 	packets of serial data to a 14M-based serialized 8X2 LCD display.

; 	If you use 2400 Baud, be sure LCD jumper is set to "low" (left)
; 	If you use 4800 Baud, be sure LCD jumper is set to "hi" (right)

; 	In order for the LCD to function correctly, the master processor
; 	must send  data in "packets" of nine characters. The first character
; 	must be a command; the remaining 8 chars can be text or commands.

; 	After each 9-byte packet is sent to the LCD, a brief delay is
; 	necessary to allow the LCD enough time to update its display.

;======================================================================


;=== Constants ===
					
	symbol abit =  100				; used to add pause between packets
	
;  HD44780 LCD Commands:

	symbol L1 = 128					; move cursor to position 1 of line 1
	symbol L2 = 192					; move cursor to position 1 of line 2


;=== Directives ===

	;com1									; set COM port for downloading
	#picaxe 14M							; set compiler mode
	

;=== Begin Main Program =====================================


wait 1									; allow time for LCD to initialize

do
	serout 0,N4800_4,(L1," SERVO  ")
	pause abit
	
	serout 0,N4800_4,(L2,"Magazine")
	pause abit
	
	wait 1
	
	serout 0,N4800_4,(L1,"TankBot ")
	pause abit
	
	serout 0,N4800_4,(L2,"Display ")
	pause abit
	
	wait 1		
loop





